Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-27824

MariaDB Repo tool is missing Fedora 35 distribution

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Fix Version/s: N/A
    • Component/s: Packaging
    • Labels:
      None

      Description

      Fedora 35 was released in November 2021. However, MariaDB Repositories at MariaDB Foundation currently doesn't have it as an option from the drop down list.

      The latest Fedora version is 34. So I gave it a try (for MariaDB 10.6). Here is the output I got:

      [haidong@fedora yum.repos.d]$ uname -a
      Linux fedora 5.16.8-200.fc35.x86_64 #1 SMP PREEMPT Tue Feb 8 20:58:59 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
      [haidong@fedora yum.repos.d]$ cat MariaDB.repo 
      # MariaDB 10.6 Fedora repository list - created 2022-02-13 02:09 UTC
      # https://mariadb.org/download/
      [mariadb]
      name = MariaDB
      baseurl = https://mirror.its.dal.ca/mariadb/yum/10.6/fedora34-amd64
      gpgkey=https://mirror.its.dal.ca/mariadb/yum/RPM-GPG-KEY-MariaDB
      gpgcheck=1
       
      [haidong@fedora yum.repos.d]$ sudo dnf install MariaDB
      Last metadata expiration check: 0:22:12 ago on Sat 12 Feb 2022 08:27:40 PM CST.
      Error: 
       Problem: conflicting requests
        - nothing provides liburing.so.1()(64bit) needed by MariaDB-server-10.6.3-1.fc34.x86_64
        - nothing provides liburing.so.1(LIBURING_0.1)(64bit) needed by MariaDB-server-10.6.3-1.fc34.x86_64
        - nothing provides liburing.so.1(LIBURING_0.2)(64bit) needed by MariaDB-server-10.6.3-1.fc34.x86_64
        - nothing provides liburing.so.1()(64bit) needed by MariaDB-server-10.6.4-1.fc34.x86_64
        - nothing provides liburing.so.1(LIBURING_0.1)(64bit) needed by MariaDB-server-10.6.4-1.fc34.x86_64
        - nothing provides liburing.so.1(LIBURING_0.2)(64bit) needed by MariaDB-server-10.6.4-1.fc34.x86_64
        - nothing provides liburing.so.1()(64bit) needed by MariaDB-server-10.6.5-1.fc34.x86_64
        - nothing provides liburing.so.1(LIBURING_0.1)(64bit) needed by MariaDB-server-10.6.5-1.fc34.x86_64
        - nothing provides liburing.so.1(LIBURING_0.2)(64bit) needed by MariaDB-server-10.6.5-1.fc34.x86_64
      (try to add '--skip-broken' to skip uninstallable packages)
      [haidong@fedora yum.repos.d]$ 
      

      Could you please add a repository for Fedora 35 please?

        Attachments

          Activity

            People

            Assignee:
            andreia.hendea Andreia Hendea
            Reporter:
            haidong Haidong Ji
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.